Sequential (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.Sequential class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class Sequential

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.Sequential

All Implemented Interfaces:
  TaskContainer

public class Sequential
extends Task
implements TaskContainer

Sequential is a container task - it can contain other Ant tasks. The nested tasks are simply executed in sequence. Sequential's primary use is to support the sequential execution of a subset of tasks within the `Parallel Task`

The sequential task has no attributes and does not support any nested elements apart from Ant tasks. Any valid Ant task may be embedded within the sequential task.

Since:
  Ant 1.4
Author:
  Thomas Christen chr@active.ch

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`Sequential()`

Method Summary
`void` | `addTask(Task nestedTask)` Add a nested task to Sequential.
`void` | `execute()` Execute all nestedTasks.
`void` | `maybeConfigure()` Override `maybeConfigure` in a way that leaves the nested tasks unconfigured until they get executed.

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, handleErrorFlush, handleErrorOutput, handleFlush, handleOutput, init, isInvalid, log, log, perform, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Sequential

    public Sequential()

Method Detail

### maybeConfigure

    public void maybeConfigure()
                        throws BuildException

  Override `maybeConfigure` in a way that leaves the nested tasks unconfigured until they get executed.

  Overrides:
    `maybeConfigure` in class `Task`
  Throws:
    `BuildException` - if the task cannot be configured.
  Since:
    Ant 1.5

### addTask

    public void addTask(Task nestedTask)

  Add a nested task to Sequential.

  Specified by:
    `addTask` in interface `TaskContainer`
  Parameters:
    `nestedTask` - Nested task to execute Sequential

### execute

    public void execute()
                 throws BuildException

  Execute all nestedTasks.

  Overrides:
    `execute` in class `Task`
  Throws:
    `BuildException` - if something goes wrong with the build

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.